import java.io.*;

class parseExpDecimal{

   public static void main(String[] args)
   {
     System.out.println( parseExpDecimalPreFix("2e2") ); 
   }

  /** This method converts a String (numbers) containing decimals and 'e' to an equivalent expression in powers of 10. 
   *  For example 2.345e-2 will be converted to (* 2345 (/ 1 1000) (/1 100)) 
   *  Note: This method inturn makes a call to parseDecimal method to convert Strings containing Decimal numbers to
   *        an equivalent expression in powers of 10.
   *  @return powerTenExpression
   */
  public static String parseExpDecimalPreFix(String oldString)
  {
     int posOfExp     = oldString.indexOf('e');
     if (posOfExp >= 0)
     {
        if (oldString.charAt(posOfExp+1) == '-')
        {
           String beginStr  = oldString.substring(0,posOfExp);
           beginStr         = decimalParserPreFix(beginStr);
           String endStr    = oldString.substring(posOfExp+2,oldString.length());
           String tenPower  = "1";
           for (int i=0; i < Integer.parseInt(endStr); i++)
           {
               tenPower = tenPower + "0";
           }
           String newString = "(* " + beginStr + " (/ 1 " + tenPower + ") " + ")";
           return newString;
        }
        else
        {
           String beginStr  = oldString.substring(0,posOfExp);
           beginStr         = decimalParserPreFix(beginStr);
           String endStr    = oldString.substring(posOfExp+1,oldString.length());
           String tenPower  = "1";
           for (int i=0; i < Integer.parseInt(endStr); i++)
           {
               tenPower = tenPower + "0";
           }
           String newString = "(* " + beginStr + " (" + tenPower + ") " + ")";
           return newString;
          
        }
     }
     else
     {
        String newString = decimalParserPreFix(oldString);
        if (newString.equals(oldString))
        {
           return oldString;
        }
        else
        {
           return "(* " + newString + " )"; 
        }
     }  
  }  
 
  /** This method converts Strings containing Decimal numbers to an equivalent expression in powers of 10.
   *  For Example 2.345 will be converted to 2345 (/ 1 1000)       
   */
  public static String decimalParserPreFix(String oldString)
  {
     int posOfDecimal =  oldString.indexOf('.');

     if (posOfDecimal >= 0)
     {
        int strLength    = oldString.length();
        String beginStr  = oldString.substring(0,posOfDecimal);
        String endStr    = oldString.substring(posOfDecimal+1,strLength);
        String tenPower  = "1";
        for (int i=0; i < endStr.length(); i++)
        {
            tenPower = tenPower + "0";
        }
        String newString = beginStr + endStr + " (/ 1 " + tenPower + ")";
        return newString;
     }
     else
     {
        return oldString;
     }
  }

}
