// package sbmlClasses;
/**
 * A <code>Parameter</code> object represents the kinetic parameters such as velocity, equillibrium
 * constant and so on.
 */
public class Parameter
{
  /**
   * This constructor initializes the parameter object with an Identifier and value.
   * @param id An Identifier for the parameter object.
   * @param value represents the value assigned to the identifier. 
   */
  public Parameter(String id, String value)
  {
    this.id  = id;
    this.value = value;
  }
  
  /**
   * This method fetches the id associated with the identifier
   * @return id represents an identifier for the parameter object.
   */
  public String getId()
  {
    return id;
  }
  
  /**
   * This method fetches the value assigned to the parameter.
   * @return value represents value assigned to the parameter.
   */
  public String getValue()
  {
    return value;
  }

  private String id;
  private String value;
} 

