// package sbmlClasses;
/**
 * A <code>SpecieReference</code> object represents products or reactants that appear in a given reaction.
 * It can be used to represent reactant or a product.
 */
public class SpeciesReference
{
  /**
   * This Constructor intializes a reactant or a product or a modifier with an identifier along with
   * their Stoichiometry.
   * @param species serves an identifier for the species
   * @param stoichiometry indicates the compartment to which the speceies belongs.
   */
  public SpeciesReference(String species, String stoichiometry)
  {
    this.species = species;
    this.stoichiometry = stoichiometry;
  }

  /**
   * This method fetches the species identifier.
   * @return species identifier for the corresponding species
   */
  public String getSpecies()
  {
    return species;
  }
  
  /**
   * This method fetches the stoichiometry for a species
   * @return stoichiometry indicates the stoichiometry of the species
   */
  public String getStoichiometry()
  {
    return stoichiometry;
  }
  
  private String species;
  private String stoichiometry;
}

