package sbmlClasses;
/**
 * A <code>Compartment</code> object represents a bounded volume in which species are located.
 */
public class Compartment
{
  public Compartment(String id, String spatialDimensions)
  {
    this.id = id;
    this.spatialDimensions = spatialDimensions;
  }
  /**
   * Gets the Id of the Compartment.
   * @return id  The Identifier of the Compartment.
   */
  public String getId()
  {
    return id;
  }

  /**
   * Gets the spatialDimensions of the Compartment.
   * @return spatialDimensions A value of "3" means a three dimensional structure (a volume).
   *                                      "2"         two   dimensional structure (an area).
   *                                      "1"         one   dimensional structure (a line). 
   */  
  public String getSpatialDimensions()
  {
    return spatialDimensions;
  }
  
  private String id;
  private String spatialDimensions;
} 
