package sbmlClasses;
import java.util.*;
/**
 * An <code>Event</code> object stores the information about when an event can occur, the variables
 * that are affected by the event, and how the variables are affected.
 */ 
public class Event
{
  public Event(String triggerExpression, ArrayList listOfEventAssignments, ArrayList listOfEventVariables)
  {
    this.triggerExpression      = triggerExpression;
    this.listOfEventAssignments = (ArrayList) listOfEventAssignments.clone();
    this.listOfEventVariables   = (ArrayList) listOfEventVariables.clone();
  }

  /** Gets the triggerExpression corresponding to the event object.
   *  @return triggerExpression - a boolean expression which evaluates to true when the event is fired. 
   */
  public String getTriggerExpression()
  {
    return this.triggerExpression;
  }

  /** Gets the size of ArrayList containing EventAssignments.
   *  @return size_of_EventAssignments_ArrayList
   */
  public int getListOfEventAssignmentsSize()
  {
    return this.listOfEventAssignments.size();
  }

  /** Gets the ArrayList containing EventAssignments.
   *  @return EventAssignments_ArrayList
   */
  public ArrayList getListOfEventAssignments()
  {
    return this.listOfEventAssignments;
  }

  /** Gets the size of Arraylist containing variables(Species) involved in defining the Event.
   *  @return size_of_EventVariables_ArrayList
   */
  public int getListOfEventVariablesSize()
  {
    return this.listOfEventVariables.size();
  }

  /** Gets the Arraylist containing variables(Species) involved in defining the Event.
   *  @return EventVariables_ArrayList
   */
  public ArrayList getListOfEventVariables()
  {
    return this.listOfEventVariables;
  }

  private String    triggerExpression;
  private ArrayList listOfEventAssignments;
  private ArrayList listOfEventVariables;

}
