package sbmlClasses;
import java.util.*;
/**
 * A <code>FunctionDefinition</code> object stores the definition of a Function.
 */
public class FunctionDefinition 
{
  public  FunctionDefinition(String id, ArrayList listOfVariables, String expression)
  {
    this.id               = id;
    this.listOfVariables  = (ArrayList) listOfVariables.clone(); //Since the contents of the listOfVariables are of String Type
                                                                 // a shallow clone will be enough.
    this.expression       = expression;
  }

  public String getFunctionId()
  {
    return id;
  }

  /** Gets the number of varibles involved in Function Definition.
   *  @return size_Of_ArrayList_of_FunctionVariables
   */
  public int getListOfFunctionVariablesSize()
  {
    return this.listOfVariables.size();
  }
  
  /** Gets the ArrayList of varibles involved in Function Definition.
   *  @return ArrayList_of_FunctionVariables
   */
  public ArrayList getListOfFunctionVariables()
  {
    return this.listOfVariables;
  }

  /** Gets the expression defining the Function.
   *  @return FunctionDefinition_expression
   */
  public String getFunctionExpression()
  {
    return this.expression;
  }

  private String id;
  private ArrayList listOfVariables = new ArrayList();
  private String expression;
}
