#!/bin/sh

#
# This script is used to install SBML2SAL 
#

echo "Installing SBML2SAL (version 1.0). Copyring (c) SRI International 2003."
echo "---------------------------------------------------------------------"

check_prog ()
{
		if $1 > /dev/null 2> /dev/null ; then
				echo "program $2 was found..."
		else
				echo "Error: Failed to detect program $2"
				exit -1
		fi
}

check_prog "sed --version" sed

sbml2sal_dir=`pwd`

echo "Installation summary:"
echo "  SBML2SAL_PATH : $sbml2sal_dir"

warning=0

gen_script ()
{
  template=$1.template
  script=$1
  if sed -e "s|__HYBRIDSAL_PATH__|$sbml2sal_dir|g" $template > $script
  then
		echo "Updated $script"
	else
     echo "Error: generating script $script"
		 exit -1
  fi
}

for name in sbml2sal ProjectII/src/Makefile ; do gen_script $name; done

echo "Installation completed!"

